RSM Phase Il - Feature #644

[HR-LOAN & PAYROLL] Perhitungan Admin Fee
12/17/2021 10:32 AM - Kezia Pawitra Yulianti

Status: Deploy Start date: 12/17/2021
Priority: Urgent Due date: 12/24/2021
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yomma,

minta tolong dibuatkan perhitungan khusus admin fee sesuai ketentuan sbb:

1. Akan dibuatkan parameter atau GenParam untuk menentukan flag admin fee di hitung berdasarkan tenor atau berdasarkan per
tahun

2. Penambahan field admin fee pada Regular Payment (diisi dengan nilai prosentase admin fee)

3. Penambahan field amount admin fee pada Loan Balance (diisi dengan amount per bulan dr admin fee tsb)

4. Dengan ada penambahan field tsb maka perhitungan repayment menjadi principal + interest + admin fee

5. Perhitungan admin fee fix tiap bulan besarnya karena tidak diambil dr outstanding balance pinjaman (berbeda dgn perhitungan
interest yg sudh ada skrg)

Kalau ada yg kurang2, tolong ditambahkan ya yoms
Thanks

History

#1 - 12/17/2021 10:32 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 12/17/2021 03:32 PM - Kezia Pawitra Yulianti

berikut ya info terkait parameter yg dibutuhkan:

1. LOANTYPADMFEE di gen param dengan ketentuan Value1 = loan type, value2 = jumlah pembagi untuk admin fee (jika diisi * maka jumlah tenor
sebagai pembagi, jika diisi number maka number sebagai pembagi)

2. penambabhan field di tabel PHRPA0034 yaitu AdminFeePercentage

3. Penambahan field di tabel PHRPA0035 yaitu AdminFeeAmount

Tks

#3 - 12/20/2021 05:08 PM - Tri Rizqiaty

- Status changed from Assigned to Developing
Fixing :

1. Update API1 & API2 : MinovalS.MinovaES.Business.BN.dII
2. Update Ul - app - controller - masterdata - loan : ctrlloan.js

#4 - 12/20/2021 05:08 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

#5 - 12/21/2021 01:46 PM - Kezia Pawitra Yulianti
- Subject changed from [HR-LOAN] Perhitungan Admin Fee to [HR-LOAN & PAYROLL] Perhitungan Admin Fee
- Status changed from QA Test to Assigned

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

Untuk task ke payroll nya gw update di redmine ini aja yaa, jd subjectnya pun gw edit Yoms (Loan & Payroll)

berikut yang sudah ditambahin juga untuk kebutuhan payroll sbb:
1. Penambahan kolom WTAdminFee di tabel Loan Type
2. Penambahan wage type untuk integrasi ke modul Payroll

3. Di dalam tabel Loan Type tsb sudah di daftarkan wage type admin fee yang nantinya akan di baca oleh payroll untuk juga dirunning

Kalau ada yg masih kurang, info2 ya yoms, tks

btw, nitip2 juga yg masih gagal saving yaa

#6 - 12/21/2021 03:45 PM - Tri Rizqgiaty

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti
Fixing :

1. Update API1 & API2 : MinovalS.MinovaES.Business.BN.dII
2. Update Ul - app - controller - masterdata - loan : ctrlloan.js

tidak bisa save krn tidak ada sequence di grid payment

#7 - 12/21/2021 06:17 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

ok sips yoms, udah bisa save.

tp saat di buka Ig data load balance nya sequence berantakan.

Boleh di cek Ig
Untuk task payroll gw buat redmine terpisah ya kalo gt.

Tks

#8 - 12/23/2021 11:21 AM - Tri Rizqgiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

Fixing sequence :

1. Update API1 & API2 - bin : MinovalS.MinovaES.Data.Element.dll

#9 - 02/02/2022 03:02 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Deploy

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty
